This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 193214 - gdmsetup freezes and eats many cpu usage.
gdmsetup freezes and eats many cpu usage.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
: 196653 (view as bug list)
Depends On:
Blocks: FC6Blocker FC6Desktop
  Show dependency treegraph
 
Reported: 2006-05-26 01:19 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 23:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
What attachment? (2.50 KB, text/plain)
2006-06-14 23:16 EDT, Jim Cornette
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 345118 None None None Never

  None (edit)
Description sangu 2006-05-26 01:19:53 EDT
Description of problem:
gdmsetup freezes and  eats many cpu usage.

Version-Release number of selected component (if applicable):
2.15.3-3

How reproducible:
always

Steps to Reproduce:
1. $gdmsetup
2.
3.
  
Actual results:


Expected results:


Additional info:
disable selinux
Comment 1 Jim Cornette 2006-06-08 20:59:27 EDT
I see the same symptom. CPU usage is in the 90% plus range.

What happens is that the screen comes up for configuration. You are not able to
select any tab on the GUI interface. Killing the application does not stop the
complete program. The only way to kill the process is ctl-C from the terminal
that gdmsetup is launched from.

I do not know how to properly use strace but was able to get this looped output.
See attached file.
Comment 2 MASAO TAKAHASHI 2006-06-14 02:23:13 EDT
(In reply to comment #1)
> I see the same symptom. CPU usage is in the 90% plus range.
> 
> What happens is that the screen comes up for configuration. You are not able to
> select any tab on the GUI interface. Killing the application does not stop the
> complete program. The only way to kill the process is ctl-C from the terminal
> that gdmsetup is launched from.
> 
> I do not know how to properly use strace but was able to get this looped output.
> See attached file.
Where is an attached file?

Comment 3 Warren Togami 2006-06-14 16:56:40 EDT
gdmsetup in gdm-2.15.3-8 continues to be broken in this way and unusable.
Comment 4 Jim Cornette 2006-06-14 23:16:14 EDT
Created attachment 130948 [details]
What attachment?

The attachment that I did not attach from strace previously.
sorry for oversight.
Comment 5 Jim Cornette 2006-06-22 17:10:45 EDT
This problem is still present in FC6 test 1.

https://www.redhat.com/archives/fedora-test-list/2006-June/msg00380.html
Comment 6 Jim Cornette 2006-06-22 17:14:01 EDT
This problem is still present in FC6 test 1.

Correction:
https://www.redhat.com/archives/fedora-test-list/2006-June/msg00372.html
Comment 7 Bob Agel 2006-06-26 09:55:14 EDT
These problems also apply to my FC6-T1 gdmsetup.  Force Quit is the only option
from the gui.  
Comment 8 Bob Agel 2006-06-28 20:58:28 EDT
As mentioned in 196653, which appears to be the same problem, here's some lines
from /var/log/messages that pertain:

Jun 28 20:40:47 localhost gconfd (root-3553): starting (version 2.14.0), pid
3553 user 'root'
Jun 28 20:40:47 localhost gconfd (root-3553): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration sou
rce at position 0
Jun 28 20:40:47 localhost gconfd (root-3553): Resolved address
"xml:readwrite:/root/.gconf" to a writable configuration source at position 1
Jun 28 20:40:47 localhost gconfd (root-3553): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration sour
ce at position 2
Jun 28 20:41:47 localhost gconfd (root-3553): GConf server is not in use,
shutting down.
Jun 28 20:41:47 localhost gconfd (root-3553): Exiting
Jun 28 20:41:51 localhost gconfd (root-3940): starting (version 2.14.0), pid
3940 user 'root'
Jun 28 20:41:51 localhost gconfd (root-3940): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration sou
rce at position 0
Jun 28 20:41:51 localhost gconfd (root-3940): Resolved address
"xml:readwrite:/root/.gconf" to a writable configuration source at position 1
Jun 28 20:41:51 localhost gconfd (root-3940): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration sour
ce at position 2
Comment 9 Stewart Adam 2006-07-05 18:18:35 EDT
I am seeing the same problem - I can click on a the window or a tab in gdmsetup
for half a second, then it freezes and eats 100% of my CPU cycles.
Firewing1
Comment 10 Tim Mayberry 2006-07-12 22:46:59 EDT
*** Bug 196653 has been marked as a duplicate of this bug. ***
Comment 11 Jay Cliburn 2006-07-14 18:09:25 EDT
Error still present in gdm-2.15.6-1.
Comment 12 Jim Cornette 2006-07-15 18:56:58 EDT
Someone mentioned gdmsetup not consuming so much cpu usage. The message was
correct. It is possible to configure gdmsetup with gdm-2.15.6-3
Tested and configured with success.
Comment 13 Mike Chambers 2006-07-15 19:08:22 EDT
Yes and I can confirm, that this is finally fixed in 2.15.6-3 from rawhide. 
Someone might want to close it if a few others also confirm.
Comment 14 Jay Cliburn 2006-07-15 19:21:12 EDT
Works for me too.
Comment 15 Jim Cornette 2006-07-15 21:14:42 EDT
Checking the changelog, it was the purpose of the update.

* Fri Jul 14 2006 Ray Strode <rstrode@redhat.com> - 1:2.15.6-3
- fix hang in gdmsetup

Thanks Ray!
Comment 16 Ray Strode [halfline] 2006-07-15 23:49:46 EDT
Thanks for confirming the fix worked guys.

Note You need to log in before you can comment on or make changes to this bug.